<div style="width: 500px; margin: auto;padding : 50px 10px;border : 1px solid grey;box-shadow: 0px 0px 2px 2px #eee;">
    <div class="submit-form">
      <div *ngIf="!submitted">
        <form class="example-form">
            <mat-form-field class="example-full-width">
            <input matInput placeholder="Username" name="username" [(ngModel)] = "user.name" required>
            </mat-form-field>
            <br>
       <mat-form-field class="example-full-width">
          <input matInput placeholder="Password" type="password" name="password" [(ngModel)] = "user.password" required>
        </mat-form-field>
  
        </form>
  
        <button (click)="createUser()" class="btn btn-success" style="background-color: black;color: white; margin-right: 15px;cursor: pointer;">Create</button>
        <button (click)="redirectToSuccess()" class="btn btn-success" style="background-color: black;color: white; cursor: pointer;">Back to Home</button>
      </div>
  
      <div *ngIf="submitted">
        <h3>You successfully created a product!</h3>
        <button class="btn btn-success" (click)="newUser()" style="margin-right: 10px;">New..</button>
        <button (click) = "redirectToSuccess()">Back to Home</button>
      </div>
    </div>
  </div>